#include <windows.h>
#include <stdio.h>

extern int Fred;
extern void SetFred(int newvalue);
extern int GetFred();

int WINAPI WinMain(
	HINSTANCE hInstance,
	HINSTANCE hPrevInstance,
	LPSTR     lpCmdLine,
	int       nCmdShow)
{
	int fred_initially_ourview = Fred;
	int fred_initially_dllview = GetFred();

	SetFred(123);
	
	int fred_aftersetbydll_ourview = Fred;
	int fred_aftersetbydll_dllview = GetFred();
	
	Fred = 456;
	
	int fred_aftersetbyus_ourview = Fred;
	int fred_aftersetbyus_dllview = GetFred();
	
	
	char message[500];
	sprintf(message,
		"Fred is an integer that should be shared between the dll and our exe.\n"
		"\n"
		"Initial value of fred:\n"
		"	our view: %d \n"
		"	dll view: %d \n"
		"\n"
		"After Fred was modified by a function in the dll:\n"
		"	our view: %d \n"
		"	dll view: %d \n"
		"\n"
		"After Fred was modified by us:\n"
		"	our view: %d \n"
		"	dll view: %d \n",
		fred_initially_ourview,
		fred_initially_dllview,
		fred_aftersetbydll_ourview,
		fred_aftersetbydll_dllview,
		fred_aftersetbyus_ourview,
		fred_aftersetbyus_dllview
		);

	MessageBox (0, message, "Dangeorus Wallpaint", MB_ICONINFORMATION);
	
	return 0;
}

